Subject: bug#45636: [feature/native-comp] new (X11) windows don't use configured face/font

From: Christian Thäter <[email-masked]>
Date: Sun, 3 Jan 2021 22:24:48 +0100

On 2021-01-03 20:14, Andrea Corallo wrote:

>Christian Thaeter <[email-masked]> writes:
>
>> Opening a new emacs window under X11 falls back to
>> "Bitstream Vera Sans" not honoring the default face I have
>> configured.
>>
>> I can change the face, but opening a new window still falls back.
>>
>> When I compile the exact same source tree without '--with-nativecomp'
>> then the Problem vanishes.
>>
>> My tree here is native-comp
>> (a3f2373bfb604af5570c86b4ffefb23296a5bfdd) merged with master
>> (825b4ec338e82869dc656c7041ab2483b6c22479).
>>
>> 	Cheers Christian
>
>Hi Christian,
>
>could you provide a minimal reproducer I can use to investigate?

FYI:

My system is Debian bullseye: emacs configured as following:

$ ./configure --with-nativecomp --with-cairo --enable-link-time-optimization

gives:

Configured for 'x86_64-pc-linux-gnu'.

  Where should the build process find the source code?    .
  What compiler should emacs be built with?               gcc -g3 -O2 -flto=24 -ffat-lto-objects
  Should Emacs use the GNU version of malloc?             no
    (The GNU allocators don't work with this system configuration.)
  Should Emacs use a relocating allocator for buffers?    no
  Should Emacs use mmap(2) for buffer allocation?         no
  What window system should Emacs use?                    x11
  What toolkit should Emacs use?                          GTK3
  Where do we find X Windows header files?                Standard dirs
  Where do we find X Windows libraries?                   Standard dirs
  Does Emacs use -lXaw3d?                                 no
  Does Emacs use -lXpm?                                   yes
  Does Emacs use -ljpeg?                                  yes
  Does Emacs use -ltiff?                                  yes
  Does Emacs use a gif library?                           yes -lgif
  Does Emacs use a png library?                           yes -lpng16 -lz
  Does Emacs use -lrsvg-2?                                yes
  Does Emacs use cairo?                                   yes
  Does Emacs use -llcms2?                                 no
  Does Emacs use imagemagick?                             no
  Does Emacs support sound?                               yes
  Does Emacs use -lgpm?                                   no
  Does Emacs use -ldbus?                                  yes
  Does Emacs use -lgconf?                                 no
  Does Emacs use GSettings?                               yes
  Does Emacs use a file notification library?             yes -lglibc (inotify)
  Does Emacs use access control lists?                    yes -lacl
  Does Emacs use -lselinux?                               yes
  Does Emacs use -lgnutls?                                yes
  Does Emacs use -lxml2?                                  yes
  Does Emacs use -lfreetype?                              yes
  Does Emacs use HarfBuzz?                                yes
  Does Emacs use -lm17n-flt?                              no
  Does Emacs use -lotf?                                   yes
  Does Emacs use -lxft?                                   no
  Does Emacs use -lsystemd?                               no
  Does Emacs use -ljansson?                               yes
  Does Emacs use -lgmp?                                   yes
  Does Emacs directly use zlib?                           yes
  Does Emacs have dynamic modules support?                yes
  Does Emacs use toolkit scroll bars?                     yes
  Does Emacs support Xwidgets (requires gtk3)?            no
  Does Emacs have threading support in lisp?              yes
  Does Emacs support the portable dumper?                 yes
  Does Emacs support legacy unexec dumping?               no
  Which dumping strategy does Emacs use?                  pdumper
  Does Emacs have native lisp compiler?                   yes

When testing I clean the eln-cache with:
 rm -rf ~/.emacs.d/eln-cache/*

to have a pristine new environment

And I underestimated how long bisecting takes, will continue tomorrow.

	cu Christian

>Thanks!
>  Andrea